Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2
Class Constants

    java.lang.Object
      org.apache.axis2.namespace.Constants
          org.apache.axis2.Constants

    public class Constants

extends Constants

Class Constants

Nested Class Summary
`static interface` | `Constants.Configuration`

Field Summary
`static java.lang.String` | `ACTION_MAPPING`
`static java.lang.String` | `ACTIVATE_SERVICE`
`static java.lang.String` | `ADDRESSING_ACTION` Addressing Constants
`static java.lang.String` | `ADMIN_LISTSERVICES` List service for admin pages
`static java.lang.String` | `ADMIN_LOGIN`
`static java.lang.String` | `ADMIN_SECURITY_DISABLED`
`static java.lang.String` | `ADMIN_SERVICE_LISTING_DISABLED`
`static int` | `APPLICATION_FAULT`
`static java.lang.String` | `APPLICATION_FAULT_STRING`
`static java.lang.String` | `AXIS_BINDING_MESSAGE`
`static java.lang.String` | `AXIS_BINDING_OPERATION`
`static java.lang.String` | `AXIS_WEB_CONTENT_ROOT`
`static java.lang.String` | `AXIS2_CONF`
`static java.lang.String` | `AXIS2_REPO`
`static java.lang.String` | `BUILDER_SELECTOR` Field Builder Selector
`static java.lang.String` | `CONFIG_CONTEXT`
`static java.lang.String` | `CONTAINER_MANAGED`
`static java.lang.String` | `COOKIE_STRING` Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.COOKIE_STRING
`static java.lang.String` | `CUSTOM_COOKIE_ID`
`static java.lang.String` | `DEFAULT_REST_PATH`
`static java.lang.String` | `DEFAULT_SERVICES_PATH`
`static java.lang.String` | `DETACHABLE_INPUT_STREAM` On inbound requests, the detachable input stream can be queried to get the inbound length.
`static java.lang.String` | `DIFFERENT_EPR`
`static java.lang.String` | `EDIT_SERVICE_PARA`
`static java.lang.String` | `ENGAGE_GLOBAL_MODULE`
`static java.lang.String` | `ENGAGE_MODULE_TO_SERVICE`
`static java.lang.String` | `ENGAGE_MODULE_TO_SERVICE_GROUP`
`static java.lang.String` | `ENGAGE_STATUS`
`static java.lang.String` | `ERROR_MODULE_MAP`
`static java.lang.String` | `ERROR_SERVICE_MAP` Keys for service/module error maps
`static java.lang.String` | `FAULT_ACTION_MAPPING`
`static java.lang.String` | `FAULT_ACTION_NAME`
`static java.lang.String` | `FAULT_INFORMATION_FOR_HEADERS`
`static java.lang.String` | `FAULT_NAME`
`static java.lang.String` | `GLOBAL_HANDLERS`
`static java.lang.String` | `HIDDEN_SERVICE_PARAM_NAME`
`static java.lang.String` | `HTTP_BASIC_AUTH_REALM`
`static java.lang.String` | `HTTP_FRONTEND_HOST_URL`
`static java.lang.String` | `HTTP_RESPONSE_STATE`
`static java.lang.String` | `HTTP_SERVLET_REQUEST` Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.MC_HTTP_SERVLETREQUEST
`static java.lang.String` | `IN_ACTIVATE_SERVICE`
`static java.lang.String` | `INBOUND_FAULT_OVERRIDE` Property name for inbound fault processor to set a fault on the message context to be thrown by the client code in favour of a simple translation from SOAPFault to AxisFault
`static java.lang.String` | `IS_FAULTY`
`static java.lang.String` | `JAXWS_INBOUND_SOAP_HEADERS`
`static java.lang.String` | `JAXWS_OUTBOUND_SOAP_HEADERS`
`static java.lang.String` | `JAXWS_WEBMETHOD_EXCEPTION`
`static java.lang.String` | `JMS_COORELATION_ID` A MessageContext property or client Option stating the JMS correlation id
`static java.lang.String` | `JSR311_ANNOTATIONS`
`static java.lang.String` | `LIST_CONTEXTS`
`static java.lang.String` | `LIST_GLOABLLY_ENGAGED_MODULES`
`static java.lang.String` | `LIST_MODULES`
`static java.lang.String` | `LIST_OPERATIONS_FOR_THE_SERVICE`
`static java.lang.String` | `LIST_PHASES` Field REQUEST_URL_PREFIX
`static java.lang.String` | `LIST_SERVICE_GROUPS`
`static java.lang.String` | `LOGGED`
`static java.lang.String` | `MANAGE_TRANSPORT_SESSION` Parameter name for transport session management
`static int` | `MAX_HIERARCHICAL_DEPTH` Dispatching constants
`static java.lang.String` | `MESSAGE_SCOPE` Field MESSAGE_SCOPE
`static char` | `METHOD_NAME_ESCAPE_CHARACTER` Field METHOD_NAME_ESCAPE_CHARACTER
`static java.lang.String` | `MODULE_ADDRESSING`
`static java.lang.String` | `MODULE_MAP`
`static java.lang.String` | `MODULE_VERSION`
`static java.lang.String` | `OPERATION_MAP`
`static java.lang.String` | `OUT_TRANSPORT_INFO` Transport Info
`static java.lang.String` | `OUTPUT_ACTION_MAPPING`
`static java.lang.String` | `PARAM_CONTEXT_ROOT` To change the context path from axis2/service to something else
`static java.lang.String` | `PARAM_SERVICE_PATH` To change the service path to something else
`static java.lang.String` | `PASSWORD`
`static java.lang.String` | `PHASE_GLOBAL` Field PHASE_GLOBAL
`static java.lang.String` | `PHASE_LIST`
`static java.lang.String` | `PHASE_SERVICE` Field PHASE_SERVICE
`static java.lang.String` | `PHASE_TRANSPORT` Field PHASE_TRANSPORT
`static java.lang.String` | `PIGGYBACK_MESSAGE`
`static java.lang.String` | `REQUEST_PARAMETER_MAP`
`static java.lang.String` | `RESPONSE_CODE` This can be set in the MessageContext to give an response code the transport should use when sending it out.
`static java.lang.String` | `RESPONSE_WRITTEN`
`static java.lang.String` | `SCOPE_APPLICATION` Field APPLICATION_SCOPE
`static java.lang.String` | `SCOPE_REQUEST`
`static java.lang.String` | `SCOPE_SOAP_SESSION`
`static java.lang.String` | `SCOPE_TRANSPORT_SESSION`
`static java.lang.String` | `SELECT_SERVICE`
`static java.lang.String` | `SELECT_SERVICE_FOR_PARA_EDIT`
`static java.lang.String` | `SELECT_SERVICE_TYPE`
`static java.lang.String` | `SERVICE`
`static java.lang.String` | `SERVICE_CLASS`
`static java.lang.String` | `SERVICE_GROUP_ID`
`static java.lang.String` | `SERVICE_GROUP_MAP`
`static java.lang.String` | `SERVICE_HANDLERS`
`static java.lang.String` | `SERVICE_MAP`
`static char` | `SERVICE_NAME_SPLIT_CHAR`
`static java.lang.String` | `SERVICE_OBJECT_SUPPLIER`
`static java.lang.String` | `SERVICE_PATH`
`static java.lang.String` | `SERVICE_ROOT`
`static java.lang.String` | `SERVICE_TCCL`
`static java.lang.String` | `SERVLET_CONTEXT` Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.MC_HTTP_SERVLETCONTEXT
`static java.lang.String` | `SESSION_CONTEXT_PROPERTY` Field SESSION_CONTEXT_PROPERTY
`static java.lang.String` | `SESSION_COOKIE`
`static java.lang.String` | `SESSION_COOKIE_JSESSIONID`
`static java.lang.String` | `SESSION_SCOPE` Field SESSION_SCOPE
`static java.lang.String` | `SET_ROLLBACK_ONLY` A message level property indicating a request to rollback the transaction associated with the message
`static java.lang.String` | `SINGLE_SERVICE` Field SINGLE_SERVICE
`static int` | `SOAP_PROCESSING_FAULT`
`static java.lang.String` | `SOAP_PROCESSING_FAULT_STRING`
`static java.lang.String` | `SOAP_ROLE_CONFIGURATION_ELEMENT` SOAP Role Configuration
`static java.lang.String` | `SOAP_ROLE_ELEMENT`
`static java.lang.String` | `SOAP_ROLE_IS_ULTIMATE_RECEIVER_ATTRIBUTE`
`static java.lang.String` | `SOAP_ROLE_PLAYER_PARAMETER`
`static int` | `SOAP_STYLE_DOC_LITERAL_WRAPPED` Field SOAP_STYLE_DOC_LITERAL_WRAPPED
`static int` | `SOAP_STYLE_RPC_ENCODED` Field SOAP_STYLE_RPC_ENCODED
`static int` | `SOAP_STYLE_RPC_LITERAL` Field SOAP_STYLE_RPC_LITERAL
`static java.lang.String` | `SUSPENDED_TRANSACTION`
`static java.lang.String` | `TCCL_COMPOSITE`
`static java.lang.String` | `TCCL_DEFAULT`
`static java.lang.String` | `TCCL_SERVICE`
`static java.lang.String` | `TESTING_PATH`
`static java.lang.String` | `TESTING_REPOSITORY`
`static java.lang.String` | `TRANSACTION_MANAGER`
`static int` | `TRANSPORT_FAULT`
`static java.lang.String` | `TRANSPORT_FAULT_STRING`
`static java.lang.String` | `TRANSPORT_HTTP` Field TRANSPORT_HTTP
`static java.lang.String` | `TRANSPORT_HTTPS`
`static java.lang.String` | `TRANSPORT_JMS`
`static java.lang.String` | `TRANSPORT_LOCAL`
`static java.lang.String` | `TRANSPORT_MAIL`
`static java.lang.String` | `TRANSPORT_TCP` Field TRANSPORT_TCP
`static java.lang.String` | `UNPROCESSED_HEADER_QNAMES` This is used to store Header QNames that failed mustUnderstand check in AxisEngine.
`static java.lang.String` | `USER_HOME`
`static java.lang.String` | `USER_NAME`
`static java.lang.String` | `USER_TRANSACTION` Following constant are used for JTA transaction support in Axis2
`static java.lang.String` | `VALUE_FALSE`
`static java.lang.String` | `VALUE_OPTIONAL`
`static java.lang.String` | `VALUE_TRUE`
`static java.lang.String` | `VIEW_GLOBAL_HANDLERS`
`static java.lang.String` | `VIEW_SERVICE_HANDLERS`
`static java.lang.String` | `WSDL_CONTENT`

Fields inherited from class org.apache.axis2.namespace.Constants
`ATTR_ACTOR, ATTR_ARRAY_SIZE, ATTR_ARRAY_TYPE, ATTR_ENCODING_STYLE, ATTR_HANDLERINFOCHAIN, ATTR_HREF, ATTR_ID, ATTR_ITEM_TYPE, ATTR_MUST_UNDERSTAND, ATTR_OFFSET, ATTR_POSITION, ATTR_QNAME, ATTR_REF, ATTR_RELAY, ATTR_ROLE, ATTR_ROOT, ATTR_TYPE, AXIS2_NAMESPACE_PREFIX, AXIS2_NAMESPACE_URI, AXIS2_NONE, BASE_64_CONTENT_QNAME, ELEM_BODY, ELEM_ENVELOPE, ELEM_FAULT, ELEM_FAULT_ACTOR, ELEM_FAULT_CODE, ELEM_FAULT_CODE_SOAP12, ELEM_FAULT_DETAIL, ELEM_FAULT_DETAIL_SOAP12, ELEM_FAULT_NODE_SOAP12, ELEM_FAULT_REASON_SOAP12, ELEM_FAULT_ROLE_SOAP12, ELEM_FAULT_STRING, ELEM_FAULT_SUBCODE_SOAP12, ELEM_FAULT_VALUE_SOAP12, ELEM_HEADER, ELEM_NOTUNDERSTOOD, ELEM_SUPPORTEDENVELOPE, ELEM_TEXT_SOAP12, ELEM_UPGRADE, ELEM_XOP_INCLUDE, FAULT_CLIENT, FAULT_MUSTUNDERSTAND, FAULT_SERVER_GENERAL, FAULT_SERVER_USER, FAULT_SOAP12_DATAENCODINGUNKNOWN, FAULT_SOAP12_MUSTUNDERSTAND, FAULT_SOAP12_RECEIVER, FAULT_SOAP12_SENDER, FAULT_SOAP12_VERSIONMISMATCH, FAULT_SUBCODE_BADARGS, FAULT_SUBCODE_PROC_NOT_PRESENT, FAULT_VERSIONMISMATCH, FORMAT_BINDING, JAVA_NS, MIME_CT_APPLICATION_OCTETSTREAM, MIME_CT_APPLICATION_XML, MIME_CT_IMAGE_GIF, MIME_CT_IMAGE_JPEG, MIME_CT_MULTIPART_PREFIX, MIME_CT_TEXT_PLAIN, MIME_CT_TEXT_XML, NS_PREFIX_SCHEMA_XSD, NS_PREFIX_SCHEMA_XSI, NS_PREFIX_SOAP_ENC, NS_PREFIX_SOAP_ENV, NS_PREFIX_WSDL, NS_PREFIX_WSDL_SOAP, NS_PREFIX_XML, NS_PREFIX_XOP, NS_URI_WSDL11, NS_URI_WSDL20, NS_URI_XML, NS_URI_XMLNS, QNAME_FAULTACTOR, QNAME_FAULTCODE, QNAME_FAULTCODE_SOAP12, QNAME_FAULTDETAIL_SOAP12, QNAME_FAULTDETAILS, QNAME_FAULTNODE_SOAP12, QNAME_FAULTREASON_SOAP12, QNAME_FAULTROLE_SOAP12, QNAME_FAULTSTRING, QNAME_FAULTSUBCODE_SOAP12, QNAME_FAULTVALUE_SOAP12, QNAME_LITERAL_ITEM, QNAME_NOTUNDERSTOOD, QNAME_RPC_RESULT, QNAME_TEXT_SOAP12, SOAP_ARRAY, SOAP_ARRAY_ATTRS11, SOAP_ARRAY_ATTRS12, SOAP_ARRAY12, SOAP_BASE64, SOAP_BASE64BINARY, SOAP_BOOLEAN, SOAP_BYTE, SOAP_COMMON_ATTRS11, SOAP_COMMON_ATTRS12, SOAP_DECIMAL, SOAP_DOUBLE, SOAP_FLOAT, SOAP_INT, SOAP_INTEGER, SOAP_LONG, SOAP_SHORT, SOAP_STRING, URI_1999_SCHEMA_XSD, URI_1999_SCHEMA_XSI, URI_2000_SCHEMA_XSD, URI_2000_SCHEMA_XSI, URI_2001_SCHEMA_XSD, URI_2001_SCHEMA_XSI, URI_DEFAULT_SCHEMA_XSD, URI_DEFAULT_SCHEMA_XSI, URI_DIME_CLOSED_LAYOUT, URI_DIME_CONTENT, URI_DIME_OPEN_LAYOUT, URI_DIME_REFERENCE, URI_DIME_WSDL, URI_LITERAL_ENC, URI_POLICY, URI_SECURITYPOLICY, URI_SOAP11_ENC, URI_SOAP11_ENV, URI_SOAP11_HTTP, URI_SOAP11_NEXT_ACTOR, URI_SOAP12_ENC, URI_SOAP12_ENV, URI_SOAP12_HTTP, URI_SOAP12_NEXT_ACTOR, URI_SOAP12_NEXT_ROLE, URI_SOAP12_NOENC, URI_SOAP12_NONE_ROLE, URI_SOAP12_RPC, URI_SOAP12_ULTIMATE_ROLE, URI_WSDL11_SOAP, URI_WSDL12_SOAP, URI_XOP_INCLUDE, XMIME_CONTENT_TYPE_QNAME, XML_LANG, XSD_ANY, XSD_ANYSIMPLETYPE, XSD_ANYTYPE, XSD_ANYURI, XSD_BASE64, XSD_BOOLEAN, XSD_BYTE, XSD_DATE, XSD_DATETIME, XSD_DAY, XSD_DECIMAL, XSD_DOUBLE, XSD_DURATION, XSD_ENTITIES, XSD_ENTITY, XSD_FLOAT, XSD_HEXBIN, XSD_ID, XSD_IDREF, XSD_IDREFS, XSD_INT, XSD_INTEGER, XSD_LANGUAGE, XSD_LONG, XSD_MONTH, XSD_MONTHDAY, XSD_NAME, XSD_NCNAME, XSD_NEGATIVEINTEGER, XSD_NMTOKEN, XSD_NMTOKENS, XSD_NONNEGATIVEINTEGER, XSD_NONPOSITIVEINTEGER, XSD_NORMALIZEDSTRING, XSD_NOTATION, XSD_POSITIVEINTEGER, XSD_QNAME, XSD_SCHEMA, XSD_SHORT, XSD_STRING, XSD_TIME, XSD_TIMEINSTANT1999, XSD_TIMEINSTANT2000, XSD_TOKEN, XSD_UNSIGNEDBYTE, XSD_UNSIGNEDINT, XSD_UNSIGNEDLONG, XSD_UNSIGNEDSHORT, XSD_YEAR, XSD_YEARMONTH`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP_STYLE_RPC_ENCODED

    public static final int SOAP_STYLE_RPC_ENCODED

  Field SOAP_STYLE_RPC_ENCODED

  See Also:
    Constant Field Values

### SOAP_STYLE_RPC_LITERAL

    public static final int SOAP_STYLE_RPC_LITERAL

  Field SOAP_STYLE_RPC_LITERAL

  See Also:
    Constant Field Values

### SOAP_STYLE_DOC_LITERAL_WRAPPED

    public static final int SOAP_STYLE_DOC_LITERAL_WRAPPED

  Field SOAP_STYLE_DOC_LITERAL_WRAPPED

  See Also:
    Constant Field Values

### SESSION_SCOPE

    public static final java.lang.String SESSION_SCOPE

  Field SESSION_SCOPE

  See Also:
    Constant Field Values

### SESSION_CONTEXT_PROPERTY

    public static final java.lang.String SESSION_CONTEXT_PROPERTY

  Field SESSION_CONTEXT_PROPERTY

  See Also:
    Constant Field Values

### PHASE_TRANSPORT

    public static final java.lang.String PHASE_TRANSPORT

  Field PHASE_TRANSPORT

  See Also:
    Constant Field Values

### PHASE_SERVICE

    public static final java.lang.String PHASE_SERVICE

  Field PHASE_SERVICE

  See Also:
    Constant Field Values

### PHASE_GLOBAL

    public static final java.lang.String PHASE_GLOBAL

  Field PHASE_GLOBAL

  See Also:
    Constant Field Values

### MESSAGE_SCOPE

    public static final java.lang.String MESSAGE_SCOPE

  Field MESSAGE_SCOPE

  See Also:
    Constant Field Values

### AXIS_BINDING_OPERATION

    public static final java.lang.String AXIS_BINDING_OPERATION

See Also:
  Constant Field Values

### AXIS_BINDING_MESSAGE

    public static final java.lang.String AXIS_BINDING_MESSAGE

See Also:
  Constant Field Values

### PARAM_CONTEXT_ROOT

    public static final java.lang.String PARAM_CONTEXT_ROOT

  To change the context path from axis2/service to something else

  See Also:
    Constant Field Values

### PARAM_SERVICE_PATH

    public static final java.lang.String PARAM_SERVICE_PATH

  To change the service path to something else

  See Also:
    Constant Field Values

### MANAGE_TRANSPORT_SESSION

    public static final java.lang.String MANAGE_TRANSPORT_SESSION

  Parameter name for transport session management

  See Also:
    Constant Field Values

### HTTP_RESPONSE_STATE

    public static final java.lang.String HTTP_RESPONSE_STATE

See Also:
  Constant Field Values

### HTTP_BASIC_AUTH_REALM

    public static final java.lang.String HTTP_BASIC_AUTH_REALM

See Also:
  Constant Field Values

### SCOPE_APPLICATION

    public static final java.lang.String SCOPE_APPLICATION

  Field APPLICATION_SCOPE

  See Also:
    Constant Field Values

### SCOPE_SOAP_SESSION

    public static final java.lang.String SCOPE_SOAP_SESSION

See Also:
  Constant Field Values

### SCOPE_TRANSPORT_SESSION

    public static final java.lang.String SCOPE_TRANSPORT_SESSION

See Also:
  Constant Field Values

### SCOPE_REQUEST

    public static final java.lang.String SCOPE_REQUEST

See Also:
  Constant Field Values

### AXIS2_REPO

    public static final java.lang.String AXIS2_REPO

See Also:
  Constant Field Values

### AXIS2_CONF

    public static final java.lang.String AXIS2_CONF

See Also:
  Constant Field Values

### USER_HOME

    public static final java.lang.String USER_HOME

See Also:
  Constant Field Values

### TRANSPORT_TCP

    public static final java.lang.String TRANSPORT_TCP

  Field TRANSPORT_TCP

  See Also:
    Constant Field Values

### TRANSPORT_MAIL

    public static final java.lang.String TRANSPORT_MAIL

See Also:
  Constant Field Values

### TRANSPORT_LOCAL

    public static final java.lang.String TRANSPORT_LOCAL

See Also:
  Constant Field Values

### TRANSPORT_JMS

    public static final java.lang.String TRANSPORT_JMS

See Also:
  Constant Field Values

### TRANSPORT_HTTP

    public static final java.lang.String TRANSPORT_HTTP

  Field TRANSPORT_HTTP

  See Also:
    Constant Field Values

### TRANSPORT_HTTPS

    public static final java.lang.String TRANSPORT_HTTPS

See Also:
  Constant Field Values

### SERVICE_CLASS

    public static final java.lang.String SERVICE_CLASS

See Also:
  Constant Field Values

### SERVICE_OBJECT_SUPPLIER

    public static final java.lang.String SERVICE_OBJECT_SUPPLIER

See Also:
  Constant Field Values

### SERVICE_TCCL

    public static final java.lang.String SERVICE_TCCL

See Also:
  Constant Field Values

### TCCL_DEFAULT

    public static final java.lang.String TCCL_DEFAULT

See Also:
  Constant Field Values

### TCCL_COMPOSITE

    public static final java.lang.String TCCL_COMPOSITE

See Also:
  Constant Field Values

### TCCL_SERVICE

    public static final java.lang.String TCCL_SERVICE

See Also:
  Constant Field Values

### FAULT_NAME

    public static final java.lang.String FAULT_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER_MAP

    public static final java.lang.String REQUEST_PARAMETER_MAP

See Also:
  Constant Field Values

### LIST_PHASES

    public static final java.lang.String LIST_PHASES

  Field REQUEST_URL_PREFIX

  See Also:
    Constant Field Values

### LIST_MODULES

    public static final java.lang.String LIST_MODULES

See Also:
  Constant Field Values

### LIST_GLOABLLY_ENGAGED_MODULES

    public static final java.lang.String LIST_GLOABLLY_ENGAGED_MODULES

See Also:
  Constant Field Values

### LIST_CONTEXTS

    public static final java.lang.String LIST_CONTEXTS

See Also:
  Constant Field Values

### ENGAGE_MODULE_TO_SERVICE_GROUP

    public static final java.lang.String ENGAGE_MODULE_TO_SERVICE_GROUP

See Also:
  Constant Field Values

### ENGAGE_MODULE_TO_SERVICE

    public static final java.lang.String ENGAGE_MODULE_TO_SERVICE

See Also:
  Constant Field Values

### ENGAGE_GLOBAL_MODULE

    public static final java.lang.String ENGAGE_GLOBAL_MODULE

See Also:
  Constant Field Values

### ADMIN_LOGIN

    public static final java.lang.String ADMIN_LOGIN

See Also:
  Constant Field Values

### AXIS_WEB_CONTENT_ROOT

    public static final java.lang.String AXIS_WEB_CONTENT_ROOT

See Also:
  Constant Field Values

### ADMIN_LISTSERVICES

    public static final java.lang.String ADMIN_LISTSERVICES

  List service for admin pages

  See Also:
    Constant Field Values

### VIEW_GLOBAL_HANDLERS

    public static final java.lang.String VIEW_GLOBAL_HANDLERS

See Also:
  Constant Field Values

### SELECT_SERVICE_FOR_PARA_EDIT

    public static final java.lang.String SELECT_SERVICE_FOR_PARA_EDIT

See Also:
  Constant Field Values

### SELECT_SERVICE

    public static final java.lang.String SELECT_SERVICE

See Also:
  Constant Field Values

### EDIT_SERVICE_PARA

    public static final java.lang.String EDIT_SERVICE_PARA

See Also:
  Constant Field Values

### VIEW_SERVICE_HANDLERS

    public static final java.lang.String VIEW_SERVICE_HANDLERS

See Also:
  Constant Field Values

### USER_NAME

    public static final java.lang.String USER_NAME

See Also:
  Constant Field Values

### ADMIN_SECURITY_DISABLED

    public static final java.lang.String ADMIN_SECURITY_DISABLED

See Also:
  Constant Field Values

### ADMIN_SERVICE_LISTING_DISABLED

    public static final java.lang.String ADMIN_SERVICE_LISTING_DISABLED

See Also:
  Constant Field Values

### SINGLE_SERVICE

    public static final java.lang.String SINGLE_SERVICE

  Field SINGLE_SERVICE

  See Also:
    Constant Field Values

### SERVLET_CONTEXT

    public static final java.lang.String SERVLET_CONTEXT

  Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.MC_HTTP_SERVLETCONTEXT
  See Also:
    Constant Field Values

### HTTP_SERVLET_REQUEST

    public static final java.lang.String HTTP_SERVLET_REQUEST

  Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.MC_HTTP_SERVLETREQUEST
  See Also:
    Constant Field Values

### SERVICE_MAP

    public static final java.lang.String SERVICE_MAP

See Also:
  Constant Field Values

### SERVICE_ROOT

    public static final java.lang.String SERVICE_ROOT

See Also:
  Constant Field Values

### SERVICE_PATH

    public static final java.lang.String SERVICE_PATH

See Also:
  Constant Field Values

### SERVICE_HANDLERS

    public static final java.lang.String SERVICE_HANDLERS

See Also:
  Constant Field Values

### SERVICE_GROUP_MAP

    public static final java.lang.String SERVICE_GROUP_MAP

See Also:
  Constant Field Values

### SERVICE

    public static final java.lang.String SERVICE

See Also:
  Constant Field Values

### SELECT_SERVICE_TYPE

    public static final java.lang.String SELECT_SERVICE_TYPE

See Also:
  Constant Field Values

### IN_ACTIVATE_SERVICE

    public static final java.lang.String IN_ACTIVATE_SERVICE

See Also:
  Constant Field Values

### ACTIVATE_SERVICE

    public static final java.lang.String ACTIVATE_SERVICE

See Also:
  Constant Field Values

### PHASE_LIST

    public static final java.lang.String PHASE_LIST

See Also:
  Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

See Also:
  Constant Field Values

### OPERATION_MAP

    public static final java.lang.String OPERATION_MAP

See Also:
  Constant Field Values

### MODULE_MAP

    public static final java.lang.String MODULE_MAP

See Also:
  Constant Field Values

### MODULE_ADDRESSING

    public static final java.lang.String MODULE_ADDRESSING

See Also:
  Constant Field Values

### LIST_SERVICE_GROUPS

    public static final java.lang.String LIST_SERVICE_GROUPS

See Also:
  Constant Field Values

### LIST_OPERATIONS_FOR_THE_SERVICE

    public static final java.lang.String LIST_OPERATIONS_FOR_THE_SERVICE

See Also:
  Constant Field Values

### IS_FAULTY

    public static final java.lang.String IS_FAULTY

See Also:
  Constant Field Values

### GLOBAL_HANDLERS

    public static final java.lang.String GLOBAL_HANDLERS

See Also:
  Constant Field Values

### ERROR_SERVICE_MAP

    public static final java.lang.String ERROR_SERVICE_MAP

  Keys for service/module error maps

  See Also:
    Constant Field Values

### ERROR_MODULE_MAP

    public static final java.lang.String ERROR_MODULE_MAP

See Also:
  Constant Field Values

### ENGAGE_STATUS

    public static final java.lang.String ENGAGE_STATUS

See Also:
  Constant Field Values

### CONFIG_CONTEXT

    public static final java.lang.String CONFIG_CONTEXT

See Also:
  Constant Field Values

### WSDL_CONTENT

    public static final java.lang.String WSDL_CONTENT

See Also:
  Constant Field Values

### ACTION_MAPPING

    public static final java.lang.String ACTION_MAPPING

See Also:
  Constant Field Values

### OUTPUT_ACTION_MAPPING

    public static final java.lang.String OUTPUT_ACTION_MAPPING

See Also:
  Constant Field Values

### FAULT_ACTION_MAPPING

    public static final java.lang.String FAULT_ACTION_MAPPING

See Also:
  Constant Field Values

### FAULT_ACTION_NAME

    public static final java.lang.String FAULT_ACTION_NAME

See Also:
  Constant Field Values

### VALUE_TRUE

    public static final java.lang.String VALUE_TRUE

See Also:
  Constant Field Values

### VALUE_FALSE

    public static final java.lang.String VALUE_FALSE

See Also:
  Constant Field Values

### VALUE_OPTIONAL

    public static final java.lang.String VALUE_OPTIONAL

See Also:
  Constant Field Values

### TESTING_PATH

    public static final java.lang.String TESTING_PATH

See Also:
  Constant Field Values

### TESTING_REPOSITORY

    public static final java.lang.String TESTING_REPOSITORY

See Also:
  Constant Field Values

### SERVICE_NAME_SPLIT_CHAR

    public static final char SERVICE_NAME_SPLIT_CHAR

See Also:
  Constant Field Values

### SERVICE_GROUP_ID

    public static final java.lang.String SERVICE_GROUP_ID

See Also:
  Constant Field Values

### RESPONSE_WRITTEN

    public static final java.lang.String RESPONSE_WRITTEN

See Also:
  Constant Field Values

### DIFFERENT_EPR

    public static final java.lang.String DIFFERENT_EPR

See Also:
  Constant Field Values

### RESPONSE_CODE

    public static final java.lang.String RESPONSE_CODE

  This can be set in the MessageContext to give an response code the transport should use when sending it out.

  See Also:
    Constant Field Values

### OUT_TRANSPORT_INFO

    public static final java.lang.String OUT_TRANSPORT_INFO

  Transport Info

  See Also:
    Constant Field Values

### METHOD_NAME_ESCAPE_CHARACTER

    public static final char METHOD_NAME_ESCAPE_CHARACTER

  Field METHOD_NAME_ESCAPE_CHARACTER

  See Also:
    Constant Field Values

### LOGGED

    public static final java.lang.String LOGGED

See Also:
  Constant Field Values

### CONTAINER_MANAGED

    public static final java.lang.String CONTAINER_MANAGED

See Also:
  Constant Field Values

### FAULT_INFORMATION_FOR_HEADERS

    public static final java.lang.String FAULT_INFORMATION_FOR_HEADERS

See Also:
  Constant Field Values

### COOKIE_STRING

    public static final java.lang.String COOKIE_STRING

  Deprecated. Please use org.apache.axis2.transport.http.HTTPConstants.COOKIE_STRING
  See Also:
    Constant Field Values

### SESSION_COOKIE

    public static final java.lang.String SESSION_COOKIE

See Also:
  Constant Field Values

### SESSION_COOKIE_JSESSIONID

    public static final java.lang.String SESSION_COOKIE_JSESSIONID

See Also:
  Constant Field Values

### CUSTOM_COOKIE_ID

    public static final java.lang.String CUSTOM_COOKIE_ID

See Also:
  Constant Field Values

### ADDRESSING_ACTION

    public static final java.lang.String ADDRESSING_ACTION

  Addressing Constants

  See Also:
    Constant Field Values

### HTTP_FRONTEND_HOST_URL

    public static final java.lang.String HTTP_FRONTEND_HOST_URL

See Also:
  Constant Field Values

### DEFAULT_REST_PATH

    public static final java.lang.String DEFAULT_REST_PATH

See Also:
  Constant Field Values

### DEFAULT_SERVICES_PATH

    public static final java.lang.String DEFAULT_SERVICES_PATH

See Also:
  Constant Field Values

### APPLICATION_FAULT

    public static final int APPLICATION_FAULT

See Also:
  Constant Field Values

### TRANSPORT_FAULT

    public static final int TRANSPORT_FAULT

See Also:
  Constant Field Values

### SOAP_PROCESSING_FAULT

    public static final int SOAP_PROCESSING_FAULT

See Also:
  Constant Field Values

### APPLICATION_FAULT_STRING

    public static final java.lang.String APPLICATION_FAULT_STRING

See Also:
  Constant Field Values

### TRANSPORT_FAULT_STRING

    public static final java.lang.String TRANSPORT_FAULT_STRING

See Also:
  Constant Field Values

### SOAP_PROCESSING_FAULT_STRING

    public static final java.lang.String SOAP_PROCESSING_FAULT_STRING

See Also:
  Constant Field Values

### PIGGYBACK_MESSAGE

    public static final java.lang.String PIGGYBACK_MESSAGE

See Also:
  Constant Field Values

### BUILDER_SELECTOR

    public static final java.lang.String BUILDER_SELECTOR

  Field Builder Selector

  See Also:
    Constant Field Values

### INBOUND_FAULT_OVERRIDE

    public static final java.lang.String INBOUND_FAULT_OVERRIDE

  Property name for inbound fault processor to set a fault on the message context to be thrown by the client code in favour of a simple translation from SOAPFault to AxisFault

  See Also:
    Constant Field Values

### DETACHABLE_INPUT_STREAM

    public static final java.lang.String DETACHABLE_INPUT_STREAM

  On inbound requests, the detachable input stream can be queried to get the inbound length. It can also be "detached" from the inbound http stream to allow resources to be freed.

  See Also:
    Constant Field Values

### SOAP_ROLE_CONFIGURATION_ELEMENT

    public static final java.lang.String SOAP_ROLE_CONFIGURATION_ELEMENT

  SOAP Role Configuration

  See Also:
    Constant Field Values

### SOAP_ROLE_IS_ULTIMATE_RECEIVER_ATTRIBUTE

    public static final java.lang.String SOAP_ROLE_IS_ULTIMATE_RECEIVER_ATTRIBUTE

See Also:
  Constant Field Values

### SOAP_ROLE_ELEMENT

    public static final java.lang.String SOAP_ROLE_ELEMENT

See Also:
  Constant Field Values

### SOAP_ROLE_PLAYER_PARAMETER

    public static final java.lang.String SOAP_ROLE_PLAYER_PARAMETER

See Also:
  Constant Field Values

### UNPROCESSED_HEADER_QNAMES

    public static final java.lang.String UNPROCESSED_HEADER_QNAMES

  This is used to store Header QNames that failed mustUnderstand check in AxisEngine.

  See Also:
    Constant Field Values

### JAXWS_OUTBOUND_SOAP_HEADERS

    public static final java.lang.String JAXWS_OUTBOUND_SOAP_HEADERS

See Also:
  Constant Field Values

### JAXWS_INBOUND_SOAP_HEADERS

    public static final java.lang.String JAXWS_INBOUND_SOAP_HEADERS

See Also:
  Constant Field Values

### JAXWS_WEBMETHOD_EXCEPTION

    public static final java.lang.String JAXWS_WEBMETHOD_EXCEPTION

See Also:
  Constant Field Values

### JMS_COORELATION_ID

    public static final java.lang.String JMS_COORELATION_ID

  A MessageContext property or client Option stating the JMS correlation id

  See Also:
    Constant Field Values

### MODULE_VERSION

    public static final java.lang.String MODULE_VERSION

See Also:
  Constant Field Values

### USER_TRANSACTION

    public static final java.lang.String USER_TRANSACTION

  Following constant are used for JTA transaction support in Axis2

  See Also:
    Constant Field Values

### TRANSACTION_MANAGER

    public static final java.lang.String TRANSACTION_MANAGER

See Also:
  Constant Field Values

### SUSPENDED_TRANSACTION

    public static final java.lang.String SUSPENDED_TRANSACTION

See Also:
  Constant Field Values

### SET_ROLLBACK_ONLY

    public static final java.lang.String SET_ROLLBACK_ONLY

  A message level property indicating a request to rollback the transaction associated with the message

  See Also:
    Constant Field Values

### JSR311_ANNOTATIONS

    public static final java.lang.String JSR311_ANNOTATIONS

See Also:
  Constant Field Values

### MAX_HIERARCHICAL_DEPTH

    public static int MAX_HIERARCHICAL_DEPTH

  Dispatching constants

### HIDDEN_SERVICE_PARAM_NAME

    public static final java.lang.String HIDDEN_SERVICE_PARAM_NAME

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.